What Are The Requirements To Use Family Story? (2012 Plasma Smart TV)

Last Update date : 2014.10.10

Supported Devices & Requirements


    • Galaxy S2 and Smartphone's to be released after April 2012. Android Gingerbread (2.3) or higher must be installed


    • Galaxy Tab 8.9/10.1 (including Wi-Fi models), tablets to be released after April 2012. Android Honeycomb (3.0) or higher must be installed


    • Samsung SMART Plasma TVs released in 2012 (PN**E550 ~ PN**E8000)

Blu-ray Players & Home Theater Systems:

    • Samsung models equipped with the Smart Hub feature released in 2012

Personal Computers:

Operating System

Web Browser

Windows XP SP2 or higher

E8+, Safari 4+, Firefox 5+, Chrome 11+


Firefox 5+, Chrome 11+


Safari 4+

Supported Languages: English, German, Spanish, Italian, Portuguese, Korean, French, Russian, Chinese, Arabic, Polish (11 languages)

Contents Satisfaction Survey

Q1. Is this content helpful?

Q2. How satisfied were you with this content?

Q3. Tell us what you think. What could we have done to answer your question better?

If you have additional questions or require further assistance, please chat with our experienced technical team online.   Live Chat
※ Our operation hours are 24hours from Monday to Sunday

Share this item

Close Share pop-up

Thank you!

We appreciate you filling in this questionnaire and thank you for helping us improve the Samsung.com website.